package com.perf.thread;

import com.perf.timer.*;
public class Contributor extends Thread {
	private Contribution myContribution;
	private String myName;
	StopWatch sw=new StopWatch();
	public Contributor(Contribution contribution,String name) {
		myContribution=contribution;
		myName=name;
	}
	public void startTimer() {
		sw.start();
	}
	public void run() {
		for(int loop=0;loop<1000;loop++) {
			myContribution.donate();
		}
		System.out.format("%s total=%d  %fns\n",myName
				,myContribution.getTotal()
				,sw.getElapsedMS());
	}
}
